﻿using System.Collections.Generic;
using System.Data;
using ListBoxUnit1.DataGateway;

namespace ListBoxUnit1.Core
{
   public class Controller
   {
       public SelectGW GW;
       public Controller()
       {
           GW =new SelectGW();
       }

       public List<Person> GetUserInfo()
       {
           List<Person> persons = new List<Person>();
           DataSet ds = GW.GetPersonData();
           if (ds.Tables[0].Rows.Count > 0)
               for (int i = 0; i < ds.Tables[0].Rows.Count; i++)
               {
                   Person p = new Person();
                   p.Name = ds.Tables[0].Rows[i][0].ToString();
                   p.Age = int.Parse(ds.Tables[0].Rows[i][1].ToString());
                   persons.Add(p);
               }
           return persons;
       }

       public bool DeleteUser(string name)
       {
           bool result=false;
           int i= GW.DeleteUserInfoData(name);
           if (i > 0)
           {
               result = true;
           }
           return result;
       }

   }
}
