﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using ListBoxUnit1.Core;


namespace ListBoxUnit1
{
    public partial class MainForm : Form
    {
        private Controller Control;

        public MainForm()
        {
            InitializeComponent();
            Control = new Controller();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {

            List<Person> persons = new List<Person>();

            persons = Control.GetUserInfo();
            //Person p = new Person();
            //p.Name = "张三";
            //p.Age = 18;

            //Person a = new Person();
            //a.Name = "李四";
            //a.Age = 19;

            //Person b = new Person();
            //b.Name = "wangwu";
            //b.Age = 20;
            //persons.Add(p);
            //persons.Add(a);
            //persons.Add(b);

            for (int i = 0; i < persons.Count; i++)
            {
                listBoxFor.Items.Add(persons[i]);
                listBoxFor.SelectedIndex = 0;
            }

            //foreach (var person in persons)
            //{
            //    listBoxForeach.Items.Add(person);
            //}
        }

        //private void listBoxFor_SelectedIndexChanged(object sender, EventArgs e)
        //{
        //    Person p = (Person) listBoxFor.SelectedItem;
        //    string Name = p.Name;
        //    int Age = p.Age;
        //    MessageBox.Show("name:" + Name + ",Age:" + Age);
        //}

        private void btnAdd_Click(object sender, EventArgs e)
        {
            if (listBoxFor.SelectedItems.Count == 0)
            {
                MessageBox.Show("没选中添加用户信息");
            }
            else
            {
                listBoxForeach.Items.Add(listBoxFor.SelectedItem);
                listBoxFor.Items.Remove(listBoxFor.SelectedItem);
            }

        }

        private void btnRemove_Click(object sender, EventArgs e)
        {
         
            if (listBoxFor.SelectedItem != null)
            {
               
                DialogResult comfirm = MessageBox.Show("确定删除选中信息...", "确定删除", MessageBoxButtons.YesNo,
                                                       MessageBoxIcon.Exclamation);
                if (comfirm == DialogResult.Yes)
                {
                    //List<Person> persons = new List<Person>();
                    //Person p = (Person) listBoxFor.SelectedItem;
                    string Name = listBoxFor.SelectedItem.ToString();
                    bool result = Control.DeleteUser(Name);
                    if (result)
                    {
                        listBoxFor.Items.Remove(listBoxFor.SelectedItem);
                    }
                }
            }

        }

        private void btnLeft_Click(object sender, EventArgs e)
        {
            //if (listBoxFor.Items != null)
            //{
            //    Person p = (Person)listBoxForeach.SelectedItem;
            //    if (listBoxForeach.Items.Count > 0 && p != null)
            //    {
            //        listBoxFor.Items.Insert(listBoxForeach.SelectedItem);
            //        //listBoxForeach.Items.Remove(listBoxFor.SelectedItem);
                    
            //        MessageBox.Show("已成功将" + p.Name+"移至左边");
            //    }
            //    else
            //    {
            //        MessageBox.Show("没有可向左移动的信息");
            //    }
            //}
            if (listBoxForeach.SelectedItems.Count == 0)
            {
                MessageBox.Show("没选中添加用户信息");
            }
            else
            {
                listBoxFor.Items.Add(listBoxForeach.SelectedItem);
                listBoxForeach.Items.Remove(listBoxForeach.SelectedItem);
            }
        }
    }
}

